Bug 136439 - anaconda fails to detect Grub on a RAID 1 /dev/md0
anaconda fails to detect Grub on a RAID 1 /dev/md0
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
rawhide
i586 Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Jones
Mike McLean
:
Depends On:
Blocks: FC5Blocker
  Show dependency treegraph
 
Reported: 2004-10-19 21:55 EDT by G.Wolfe Woodbury
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-08 22:55:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description G.Wolfe Woodbury 2004-10-19 21:55:06 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.1)
Gecko/20031114

Description of problem:
Doing a fresh "upgrade" from rawhide (2004-10-17 -> 2004-10-19)
anaconda fails to detect the GRUB boot loader installed on a small
RAID-1 partition /dev/md0.

Version-Release number of selected component (if applicable):
anaconda-10.0.3.20-1

How reproducible:
Always

Steps to Reproduce:
1.prep /dev/md0 as small raid-1 with /dev/hda1+/dev/hdb1
2.install with GRUB
3.attempt to "update/upgrade" the installed system
    

Actual Results:  Anaconda reports that it cannot detect a boot loader
installed on the system, an only offers to ignore or install new GRUB

Expected Results:  should detect installed GRUB and offer to update
its configuration

Additional info:

AMD K6-2@400MHz w/320MB RAM, small 100MB raid-1 pair on
/dev/hda1+/dev/hdb1

Installing "new" system anaconda allows the setup and specification of
this raid-1 and installs GRUB fully and completely.  System boots
normally and correctly.  System fully updated to 2004-10-17 rawhide.

Note You need to log in before you can comment on or make changes to this bug.